/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package mytodoapp;

import org.junit.Test;
import static org.junit.Assert.*;

public class TodoTest {

    @Test public void testTodoGetName(){
        Todo actual = new Todo("todo_name", "todo_desc", "todo_status");
        assertEquals("todo_name", actual.getName());
    }

    @Test public void testTodoGetDesc(){
        Todo actual = new Todo("todo_name", "todo_desc", "todo_status");
        assertEquals("todo_desc", actual.getDesc());
    }

    @Test public void testTodoGetStatus(){
        Todo actual = new Todo("todo_name", "todo_desc", "todo_status");
        assertEquals("todo_desc", actual.getDesc());
    }

    @Test public void testTodoPrintTodoText(){
        String expected = 
        "---\n" + 
        "Name : todo_name\n" + 
        "Description : todo_desc\n" +
        "Status : todo_status";

        Todo actual = new Todo("todo_name", "todo_desc", "todo_status");

        assertEquals(expected, actual.printTodoText());
    }
}
